<?php

namespace Market\ZodacoBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Withdrawal
 */
class Withdrawal
{
    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $user_id;

    /**
     * @var integer
     */
    private $amount;

    /**
     * @var integer
     */
    private $status;

    /**
     * @var \DateTime
     */
    private $date_request;

    /**
     * @var \DateTime
     */
    private $date_process;

    /**
     * @var \DateTime
     */
    private $createdAt;

    /**
     * @var \DateTime
     */
    private $updatedAt;

    /**
     * @var \Market\ZodacoBundle\Entity\Users
     */
    private $users;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set user_id
     *
     * @param integer $userId
     * @return Withdrawal
     */
    public function setUserId($userId)
    {
        $this->user_id = $userId;

        return $this;
    }

    /**
     * Get user_id
     *
     * @return integer 
     */
    public function getUserId()
    {
        return $this->user_id;
    }

    /**
     * Set amount
     *
     * @param integer $amount
     * @return Withdrawal
     */
    public function setAmount($amount)
    {
        $this->amount = $amount;

        return $this;
    }

    /**
     * Get amount
     *
     * @return integer 
     */
    public function getAmount()
    {
        return $this->amount;
    }

    /**
     * Set status
     *
     * @param integer $status
     * @return Withdrawal
     */
    public function setStatus($status)
    {
        $this->status = $status;

        return $this;
    }

    /**
     * Get status
     *
     * @return integer 
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * Set date_request
     *
     * @param \DateTime $dateRequest
     * @return Withdrawal
     */
    public function setDateRequest($dateRequest)
    {
        $this->date_request = $dateRequest;

        return $this;
    }

    /**
     * Get date_request
     *
     * @return \DateTime 
     */
    public function getDateRequest()
    {
        return $this->date_request;
    }

    /**
     * Set date_process
     *
     * @param \DateTime $dateProcess
     * @return Withdrawal
     */
    public function setDateProcess($dateProcess)
    {
        $this->date_process = $dateProcess;

        return $this;
    }

    /**
     * Get date_process
     *
     * @return \DateTime 
     */
    public function getDateProcess()
    {
        return $this->date_process;
    }

    /**
     * Set createdAt
     *
     * @param \DateTime $createdAt
     * @return Withdrawal
     */
    public function setCreatedAt($createdAt)
    {
        $this->createdAt = $createdAt;

        return $this;
    }

    /**
     * Get createdAt
     *
     * @return \DateTime 
     */
    public function getCreatedAt()
    {
        return $this->createdAt;
    }

    /**
     * Set updatedAt
     *
     * @param \DateTime $updatedAt
     * @return Withdrawal
     */
    public function setUpdatedAt($updatedAt)
    {
        $this->updatedAt = $updatedAt;

        return $this;
    }

    /**
     * Get updatedAt
     *
     * @return \DateTime 
     */
    public function getUpdatedAt()
    {
        return $this->updatedAt;
    }

    /**
     * Set users
     *
     * @param \Market\ZodacoBundle\Entity\Users $users
     * @return Withdrawal
     */
    public function setUsers(\Market\ZodacoBundle\Entity\Users $users = null)
    {
        $this->users = $users;

        return $this;
    }

    /**
     * Get users
     *
     * @return \Market\ZodacoBundle\Entity\Users 
     */
    public function getUsers()
    {
        return $this->users;
    }
    /**
     * @var string
     */
    private $datas;


    /**
     * Set datas
     *
     * @param string $datas
     * @return Withdrawal
     */
    public function setDatas($datas)
    {
        $this->datas = $datas;

        return $this;
    }

    /**
     * Get datas
     *
     * @return string 
     */
    public function getDatas()
    {
        return $this->datas;
    }
}
